<?php namespace Bitw\LaravelPages\Controllers;

class PageController extends \BaseController {

	/**
	 * Display a listing of the resource.
	 *
	 * @return Response
	 */

	public function index()
	{
		dd(View::getFinder()->getHints('laravel-pages'));
		Debugbar::disable();
		$data = Page::where('state', '!=', 'temp')->whereAuthorId(Auth::id())->paginate(10);

		return View::make('laravel-pages::list', compact('data'));
	}


	/**
	 * Show the form for creating a new resource.
	 *
	 * @return Response
	 */
	public function create()
	{
		$page = Page::Temporary();

		return Redirect::action('PageController@edit', $page->id);
	}


	/**
	 * Store a newly created resource in storage.
	 *
	 * @return Response
	 */
	/*
	public function store()
	{
		if($this->validate()->failed()) return Redirect::action('PageController@create')->withErrors($this->validate()->errors())->withInput();

		// Get temporary page
		$page = Page::whereState('draft')->whereAuthorId(Auth::id())->first();

		$page->fill(Input::all())->save();

		return Redirect::action('PageController@index');
	}
	*/

	/**
	 * Display the specified resource.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function show($slug)
	{
		return Response::make($slug);
	}


	/**
	 * Show the form for editing the specified resource.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function edit($id)
	{
		try
		{
			$page = Page::findOrFail($id);
		}
		catch(\Illuminate\Database\Eloquent\ModelNotFoundException $e)
		{
			return App::abort(404);
		}
		$page->_method = 'put';
		$page->_action = ['PageController@update', $page->id];

		return View::make('laravel-pages::editor', compact('page'));
	}


	/**
	 * Update the specified resource in storage.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function update($id)
	{
		if($this->validate()->fails())
		{
			return Redirect::action('PageController@edit', $id)->withErrors($this->validate()->errors())->withInput();
		}

		$page = Page::whereAuthorId(Auth::id())->find($id);

		$page->fill(Input::all())->save();

		return Redirect::action('PageController@index');
	}


	/**
	 * Remove the specified resource from storage.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function destroy($id)
	{
		try
		{
			$page = Page::whereAuthorId(Auth::id())->findOrFail($id);
		}
		catch(\Illuminate\Database\Eloquent\ModelNotFoundException $e)
		{
			return App::abort(401);
		}

		$page->delete();

		return Response::json([
			'type'=>'success',
			'message'=>trans('laravel-pages::common.messages.page_deleted'),
			'id' => $id,
		]);
	}

	private function validate()
	{
		return $validate = Validator::make(
			Input::all(),
			[
				'content' => 'required'
			],
			[
				'content.required' => trans('laravel-pages::common.messages.content_required'),
			]
		);
	}

}
