@extends('dashboard.layouts.default')

@section('content')
    {{ Form::open(['action'=>$page->_action, 'files'=>true, 'method'=>$page->_method]) }}
        <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <h3>@if(Route::current()->getName()=='page.create') {{ trans('laravel-pages::common.creating_page') }} @else {{ trans('laravel-pages::common.edit_page') }} @endif</h3>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-8 col-md-8 col-sm-8 col-xs-12">
                <div class="form-group">
                    {{ Form::textarea('content', Input::get('content', $page->content)) }}
                </div>
            </div>
            <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
                <div class="form-group">
                    {{ Form::submit(trans('common.save'), ['class'=>'btn btn-primary']) }}
                    {{ link_to_action('PageController@index', trans('common.cancel'), null, ['class'=>'btn btn-default']) }}
                </div>
                <div class="form-group">
                    <label for="state">{{ trans('laravel-pages::common.state') }}</label>
                    {{ Form::select(
                        'state',
                        [
                            'draft'=>trans('laravel-pages::common.states.draft'),
                            'disabled'=>trans('laravel-pages::common.states.disabled'),
                            'published'=>trans('laravel-pages::common.states.published'),
                        ],
                        Input::get('state', $page->state),
                        ['id'=>'state','class'=>'form-control']
                    ) }}
                </div>
                <div class="form-group">
                    <label for="title">{{ trans('laravel-pages::common.title') }}</label>
                    {{ Form::text('title', Input::get('title', $page->title), ['id'=>'title','class'=>'form-control']) }}
                </div>
                <div class="form-group">
                    <label for="description">{{ trans('laravel-pages::common.description') }}</label>
                    {{ Form::textarea('description', Input::get('description', $page->description), ['id'=>'description','class'=>'form-control', 'rows'=>4]) }}
                </div>
                <div class="form-group">
                    <label for="keywords">{{ trans('laravel-pages::common.keywords') }}</label>
                    {{ Form::textarea('keywords', Input::get('keywords', $page->description), ['id'=>'keywords','class'=>'form-control', 'rows'=>2]) }}
                </div>

            </div>
        </div>
    {{ Form::close() }}
@endsection

@section('foot_append') @parent
<script src="/bower_components/ckeditor/ckeditor.js"></script>
<script src="/bower_components/ckeditor/adapters/jquery.js"></script>
<script>
    $(function(){
        $('textarea[name=content]').ckeditor({
            height: 350
        });
    });
</script>
@stop