@extends('dashboard.layouts.default')

@section('content')
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <table class="table table-hover">
                <thead>
                    <tr>
                        <th class="text-center">#</th>
                        <th class="text-center">{{ trans('laravel-pages::common.state') }}</th>
                        <th>{{ trans('laravel-pages::common.title') }}</th>
                        <th class="text-right">{{ HTML::linkAction('PageController@create', trans('common.create'), null, ['class'=>'btn btn-primary']) }}</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($data as $page)
                        <tr id="page-{{ $page->id }}">
                            <td style="width:50px;" class="text-center">{{ $page->id }}</td>
                            <td style="width:50px;" class="text-center">
                                @if($page->state == 'draft')
                                    <i class="fa fa-square text-danger" title="{{ trans('laravel-pages::common.states.draft') }}"></i>
                                @elseif($page->state =='disabled')
                                    <i class="fa fa-square text-warning" title="{{ trans('laravel-pages::common.states.disabled') }}"></i>
                                @else
                                    <i class="fa fa-square text-success" title="{{ trans('laravel-pages::common.states.published') }}"></i>
                                @endif
                            </td>
                            <td>{{ Str::limit($page->title, 30) }}</td>
                            <td style="text-align: right">
                                <a href="{{ action('PageController@show', ['page'=>$page->slug]) }}" class="btn btn-xs btn-default"><i class="fa fa-eye"></i></a>
                                <a href="{{ action('PageController@edit', ['page'=>$page->id]) }}" class="btn btn-xs btn-default"><i class="fa fa-pencil"></i></a>
                                <button onclick="deletePage({{ $page->id }});" class="btn btn-xs btn-default"><i class="fa fa-trash-o"></i></button>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
    {{ $data->links() }}
@stop

@section('foot_append') @parent
<script>
    var urlDelete = "{{ action('PageController@destroy', ['page'=>":page_id", '_token'=>csrf_token()]) }}";

    function deletePage(page_id){
        $.post(urlDelete.replace(/:page_id/, page_id), {_method:'delete'})
            .done(function(r){
                $('tr#page-'+r.id).remove();
            });
    }

</script>
@stop